boost::nowide::utf8_codecvt< CharType, 2 > Class Template Reference

Specialization for the UTF-8 <-> UTF-16 variant of the std::codecvt implementation. More...

`#include <boost/nowide/utf8_codecvt.hpp>`

Inheritance diagram for boost::nowide::utf8_codecvt< CharType, 2 >:

## Public Member Functions

| utf8_codecvt (size_t refs=0)

## Protected Types

using | uchar = CharType

## Protected Member Functions

std::codecvt_base::result | do_unshift (std::mbstate_t &s, char *from, char *, char *&next) const override
int | do_encoding () const noexcept override
int | do_max_length () const noexcept override
bool | do_always_noconv () const noexcept override
int | do_length (std::mbstate_t &std_state, const char *from, const char *from_end, size_t max) const override
std::codecvt_base::result | do_in (std::mbstate_t &std_state, const char *from, const char *from_end, const char *&from_next, uchar *to, uchar *to_end, uchar *&to_next) const override
std::codecvt_base::result | do_out (std::mbstate_t &std_state, const uchar *from, const uchar *from_end, const uchar *&from_next, char *to, char *to_end, char *&to_next) const override

## Detailed Description

template<typename CharType>
class boost::nowide::utf8_codecvt< CharType, 2 >

Specialization for the UTF-8 <-> UTF-16 variant of the std::codecvt implementation.

The documentation for this class was generated from the following file:

- boost/nowide/utf8_codecvt.hpp